LANGUAGE = c++
TEMPLATE = lib
CONFIG += qt warn_on release shared
QT += network
INCLUDEPATH += .. src/
DEPENDPATH += .. src/
DEFINES += MINILIB NO_USE_INI_FILES

unix {
    DESTDIR = build
    OBJECTS_DIR = build/obj
    MOC_DIR = build/moc
    RCC_DIR = build/rcc
    UI_DIR = build/ui
}

win32 {
    TARGET = rosampcore
    DLLDESTDIR = ../../../bin
    DESTDIR = ../../lib
    DEFINES += ROSAMPCORE_LIBRARY
}

HEADERS += src/backendfactory.h \
	src/config.h \
        src/constants.h \
        src/global.h \
        src/helper.h \
        src/colorutils.h \
        src/paths.h \
        src/filters.h \
        src/ffmpegprocess.h \
        src/assstyles.h \
        src/recents.h \
        src/discname.h \
        src/urlhistory.h \
        src/subtracks.h \
        src/tracks.h \
        src/titletracks.h \
        src/mediadata.h \
        src/mediasettings.h \
        src/preferences.h \
        src/myprocess.h \
        src/mplayerversion.h \
        src/mplayerprocess.h \
        src/infoprovider.h \
        src/desktopinfo.h \
        src/mplayerwindow.h \
        src/youtube/retrieveyoutubeurl.h \
        src/core.h \
        src/simplehttp.h \
        src/corelib/rosampcore_global.h \
        src/corelib/rompcorelib.h

SOURCES += src/backendfactory.cpp \ 
	src/global.cpp \
        src/helper.cpp \
        src/colorutils.cpp \
        src/paths.cpp \
        src/filters.cpp \
        src/ffmpegprocess.cpp \
        src/assstyles.cpp \
        src/recents.cpp \
        src/discname.cpp \
        src/urlhistory.cpp \
        src/subtracks.cpp \
        src/tracks.cpp \
        src/titletracks.cpp \
        src/mediadata.cpp \
        src/mediasettings.cpp \
        src/preferences.cpp \
        src/myprocess.cpp \
        src/mplayerversion.cpp \
        src/mplayerprocess.cpp \
        src/infoprovider.cpp \
        src/desktopinfo.cpp \
        src/mplayerwindow.cpp \
        src/core.cpp \
        src/youtube/retrieveyoutubeurl.cpp \
        src/simplehttp.cpp \
        src/corelib/rompcorelib.cpp

#win32 {
#        HEADERS += src/screensaver.h
#        SOURCES += src/screensaver.cpp
#}
